# MITgcmTools.jl

Tools for using [MITgcm](https://mitgcm.readthedocs.io/en/latest/?badge=latest) or analyzing its output. This includes compiling and running a model configuration, or inspecting model inputs and outputs. The [ClimateModels.jl](https://gaelforget.github.io/ClimateModels.jl/stable/) interface provides a standard framework for such workflows. 

## Main Features

- Read Model Output And Files
- Standard MITgcm configurations
- Climate Model Interface
- [Examples](@ref) (notebooks in `examples/`)

## [Table Of Contents](@id main-contents)

```@contents
Pages = [
    "functionalities.md",
    "functionalities_read.md",
    "functionalities_configurations.md",
    "functionalities_interface.md",
    "functionalities_more.md",
    "examples.md",
]
Depth = 2
```

![Simulated particles from HS94 on cube sphere grid](https://user-images.githubusercontent.com/20276764/111042787-12377e00-840d-11eb-8ddb-64cc1cfd57fd.png)

![The impossible MITgcm rendering](https://user-images.githubusercontent.com/20276764/97648227-970b9780-1a2a-11eb-81c4-65ec2c87efc6.png)
